Bug 305694

Summary: Zoom Slider fails to show correct icon size on mouse over...
Product: [Applications] dolphin Reporter: pagoda <wickmandm>
Component: bars: statusAssignee: Dolphin Bug Assignee <dolphin-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: arjunak234
Priority: NOR    
Version: 2.1   
Target Milestone: ---   
Platform: Chakra   
OS: Linux   
Latest Commit: Version Fixed In: 4.12.3
Sentry Crash Report:

Description pagoda 2012-08-24 00:15:40 UTC
Changing the view size forward or from behind the zoom-slider button results in incorrect view size shown on mouse-over.


Reproducible: Always

Steps to Reproduce:
Steps to reproduce...
1. Mouse over zoom slider-button to reveal current icon size.
2. Increase or decrease icon size by tapping forward of or behind from the zoom slider-button, i.e not by dragging the button.
3. Mouse over zoom slider-button to reveal previously shown icon size. 
Actual Results:  
Incorrect size shown.

Expected Results:  
Correct size to be shown.

Confirmed [url=http://forum.kde.org/viewtopic.php?f=223&t=107464] here [/url]
Comment 1 Frank Reininghaus 2012-08-24 14:05:12 UTC
Thanks for the bug report! This also happens when changing the zoom level using the mouse wheel.
Comment 2 Jeroen van Meeuwen (Kolab Systems) 2012-08-24 16:20:01 UTC
Resetting assignee to default as per bug #305719
Comment 3 Arjun AK 2014-01-02 07:32:11 UTC
https://git.reviewboard.kde.org/r/114808/
Comment 4 Emmanuel Pescosta 2014-02-25 18:45:36 UTC
Git commit 885d260cd4e3774941ceabc86cc45878b4dbd2fa by Emmanuel Pescosta.
Committed on 25/02/2014 at 18:41.
Pushed by emmanuelp into branch 'KDE/4.12'.

Show the correct icon size in the zoom slider tooltip.
FIXED-IN: 4.12.3
REVIEW: 111197

M  +7    -7    dolphin/src/statusbar/dolphinstatusbar.cpp
M  +6    -6    dolphin/src/statusbar/dolphinstatusbar.h

http://commits.kde.org/kde-baseapps/885d260cd4e3774941ceabc86cc45878b4dbd2fa